<?php
/**
* @version		$Id: helper.php 10857 2008-08-30 06:41:16Z willebil $
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

class modDmsSearchHelper
{
    function parentCategories($row) {
		$db =& JFactory::getDBO();
		$sql = "SELECT id, parent, parent AS parent_id, name, name AS title FROM #__dms_categories WHERE published=1";			
		$db->setQuery($sql);
		$rows = $db->loadObjectList();		
		$children = array();
		if ($rows)
		{
			// first pass - collect children
			foreach ( $rows as $v )
			{
				$pt 	= $v->parent;
				$list 	= @$children[$pt] ? $children[$pt] : array();
				array_push( $list, $v );
				$children[$pt] = $list;
			}
		}			
		$list = JHTML::_('menu.treerecurse', 0, '', array(), $children, 9999, 0, 0 );
				
		$options 	= array();
		$options[] 	= JHTML::_('select.option',  '0', JText::_( 'Top' ) );		
		foreach ( $list as $item ) {
			$options[] = JHTML::_('select.option',  $item->id, '&nbsp;&nbsp;&nbsp;'. $item->treename );
		}		
		if (version_compare(JVERSION, '1.6.0', 'ge'))
		    $output = JHTML::_('select.genericlist',   $options, 'category_id', array(
		        'option.text.toHtml' => false ,
		        'list.attr' => ' class="inputbox" style="width:160px;" ',
				'option.text' => 'text' ,    
				'option.key' => 'value',
				'list.select' => $row->parent, 		    		    		    		    
		    )  		                        		    		    
		    );
		else 
		    $output = JHTML::_('select.genericlist',   $options, 'category_id', 'class="inputbox" style="width:160px;"', 'value', 'text', $row->parent );    
		return $output;
	}
}
